%define version 1.9.3
%define release 2mdk

%define pkgname gnupg

Name:		gnupg2
Summary:	GNU privacy guard - a free PGP replacement.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Cryptography
URL:		http://www.gnupg.org
Source:		ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/%{pkgname}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig
Patch0:		%{pkgname}-1.9.3-use-ImageMagick-for-photo.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libldap2-devel
BuildRequires:	smtpdaemon
BuildRequires:	libgpg-error-devel >= 0.6
BuildRequires:	libgcrypt-devel >= 1.1.91
BuildRequires:	libassuan-devel >= 0.6.2
BuildRequires:	libksba-devel >= 0.9.1
BuildRequires:	opensc-devel >= 0.8.0
BuildRequires:	zlib-devel
#BuildRequires:	libusb-devel
BuildRequires:	pth-devel
Prereq:		/sbin/install-info
Obsoletes:	newpg
Provides:	newpg = %{version}-%{release}
Requires:	dirmngr
Requires:	pinentry
Requires:	gnupg

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .ImageMagick

%build
%configure2_5x
%make

# all tests must pass
%__make check

%install
rm -rf %{buildroot}
%makeinstall_std

# remove this from package because the content of options.skel is the
# identical for both gnupg 1/2, except for comment
rm -rf %{buildroot}%{_datadir}/gnupg

%clean
rm -rf %{buildroot}

%post
%_install_info gnupg.info

%postun
%_remove_install_info gnupg.info

%files
%defattr(-,root,root)
%doc COPYING README NEWS THANKS TODO ChangeLog
%attr(4755,root,root) %{_bindir}/gpg2
%attr(4755,root,root) %{_bindir}/gpgsm
%{_bindir}/gpg-agent
%{_bindir}/gpgv2
%{_bindir}/kbxutil
%{_bindir}/sc*
%{_libdir}/gnupg
#{_datadir}/gnupg
%{_infodir}/gnupg.info*

%changelog
* Mon Jan 26 2004 Abel Cheung <deaddog@deaddog.org> 1.9.3-2mdk
- Rebuild with new libpth

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 1.9.3-1mdk
- First Mandrake package, based on spec of gnupg
- Patch0: Use ImageMagick to display photo by default

